Bug 983290 - [RFE] xscreensaver/phosphor cannot cope with the release name
[RFE] xscreensaver/phosphor cannot cope with the release name
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 17:32 EDT by Karel Volný
Modified: 2015-02-17 11:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:04:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the problem (180.20 KB, image/jpeg)
2013-07-10 17:32 EDT, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2013-07-10 17:32:13 EDT
Created attachment 771871 [details]
screenshot of the problem

Description of problem:
UTF-8 doesn't seem to be supported well - see the screenshot.

Version-Release number of selected component (if applicable):
xscreensaver-extras-5.21-9.fc19.x86_64
Comment 1 Mamoru TASAKA 2013-07-10 21:25:28 EDT
Patches welcome. 

Perhaps phosphor has to replace XLoadQueryFont with XCreateFontSet, XDrawString with XmbDrawString and so on - which is non-trial work and not just bug fix but rather enhancement request. Also the created patch needs upstream's approval (the upstream won't accept patches unless they are written in good shape).
Comment 2 Karel Volný 2013-07-31 05:35:19 EDT
(In reply to Mamoru TASAKA from comment #1)
> Patches welcome.

haha, I can hardly keep pace with bug testing and the few packaging tasks I have, learning the depths of X coding is something as real as becoming an astronaut for me ... but I can buy you a beer or something like that

> Perhaps phosphor has to replace XLoadQueryFont with XCreateFontSet,
> XDrawString with XmbDrawString and so on - which is non-trial work and not
> just bug fix but rather enhancement request.

cool, so, you know what has to be done, that's a good first step, now open your favourite source code editor ... :-)

> Also the created patch needs upstream's approval (the upstream won't accept
> patches unless they are written in good shape).

and the upstream is dead otherwise, except for accepting patches? - maybe they'd be willing to fix this themselves, if reported to them?
Comment 3 Mamoru TASAKA 2013-07-31 06:58:06 EDT
(In reply to Karel Volný from comment #2)
> (In reply to Mamoru TASAKA from comment #1)
> > Patches welcome.
> 
> haha, I can hardly keep pace with bug testing and the few packaging tasks I
> have, learning the depths of X coding is something as real as becoming an
> astronaut for me ... but I can buy you a beer or something like that

Please keep in mind that we are in different culture and something you might have said as some jokes may be received very differently (I hate this type of joke very much)
Comment 4 Mamoru TASAKA 2013-07-31 07:01:02 EDT
(In reply to Karel Volný from comment #2)
> (In reply to Mamoru TASAKA from comment #1)
> 
> cool, so, you know what has to be done, that's a good first step, now open
> your favourite source code editor ... :-)

Again I hate this type of words which makes fun of others. I feel like closing this as WONTFIX.
Comment 5 Karel Volný 2013-08-01 11:32:03 EDT
(In reply to Mamoru TASAKA from comment #3)
> (In reply to Karel Volný from comment #2)
> > (In reply to Mamoru TASAKA from comment #1)
> > > Patches welcome.
> > 
> > haha, I can hardly keep pace with bug testing and the few packaging tasks I
> > have, learning the depths of X coding is something as real as becoming an
> > astronaut for me ... but I can buy you a beer or something like that
> 
> Please keep in mind that we are in different culture and something you might
> have said as some jokes may be received very differently (I hate this type
> of joke very much)

my deep apologies then

while I know very little about your culture, I assumed that by participating in this project you accept its culture, which is a bit US-centric - I'm doing the same, although I'm lucky that our culture is not that much different so it is not that hard to cope with things that I hate on Americans (and try not do the things they hate on us, Czechs) ... if this was over the top here, I'm sorry, there were no evil intentions

"to buy somebody a beer" is a common phrase, you buy someone a beer when you want to show gratitude - I've used that to express that I can hardly contribute in a meaningful way (as explained that X is a rocket science for me), other than saying thankyou

(In reply to Mamoru TASAKA from comment #4)
> (In reply to Karel Volný from comment #2)
> > (In reply to Mamoru TASAKA from comment #1)
> > 
> > cool, so, you know what has to be done, that's a good first step, now open
> > your favourite source code editor ... :-)
> 
> Again I hate this type of words which makes fun of others. I feel like
> closing this as WONTFIX.

this really was not intended to be taken seriously, as indicated by the smiley; I fail to understand where do you see any personal attack in this, what I understand is that it may be considered offensive (if not cancelled by the smiley) to tell someone what to do, but that's different kind of offense than "make fun of" ...

but I think that there's no need to analyze any further, at least not here in Bugzilla; I just have to say that I value your contributions to the project, nothing I've said was meant negatively towards you and I apologize for any communication problems originating at my side


so, back to my last question, is there any sense in reporting this upstream without having the patch at hand?
Comment 6 Fedora End Of Life 2015-01-09 13:50:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 11:04:01 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.